<?php

namespace App\Presenters;

use Nette;
use Parsedown;


class HelpPresenter extends SecuredPresenter {


    /**
     * (non-phpDoc)
     *
     * @see Nette\Application\Presenter#startup()
     * @throws Nette\Application\AbortException
     */
    protected function startup(): void
    {
        parent::startup();
    }

    /**
     *
     */
    public function actionDefault(): void
    {
        $parsedown = new Parsedown();
        $isSubmitter = $this->user->isInRole('admin') || $this->user->isInRole('submitter') || $this->user->isInRole('conference-moderator');

        $reader_file = file_get_contents(__DIR__ . '/../../help/reader.md');
        $this->template->reader = $reader_file ? $parsedown->text($reader_file) : false;

        if ($isSubmitter) {
            $submitter_file = file_get_contents(__DIR__ . '/../../help/submitter.md');
            $this->template->submitter = $submitter_file ? $parsedown->text($submitter_file) : false;
        }
    }
}
